#include <iostream>
#include <math.h>
#include <fstream>
using namespace std;
int main () {
	int n (n<=1E4);
	ifstream f1("de003.inp");
	ofstream f2("de003.out");
	f1>>n;
	n=n*(n+1)*(n+2);
	int s1=0;
	for(int i=1*2*3;i<=n;i++)
	s1=s1+i;
	f2<<s1;
	f1.close();
	f2.close(); 
	return 0;
}
